namespace FitConnect.Models;

public class Destination {
    public string? ServiceIdentifier { get; set; }
    public string? Ags { get; set; }
    public string? Ars { get; set; }
    public string? AreaId { get; set; }
    public Guid? DestinationId { get; set; }

    public bool Valid => !((string.IsNullOrWhiteSpace(Ags)
                            && string.IsNullOrWhiteSpace(Ars)
                            && string.IsNullOrWhiteSpace(AreaId)) ||
                           string.IsNullOrWhiteSpace(ServiceIdentifier));
}
